c     
c ---------------------------------------------------------------
c
      subroutine ff1out(iinput,outfil,lout,card,poseast,xlat,xlon,val)
ccccccccccccccccccccccccccccccccccccccccccccccccccc
c - Subroutine to write out a "Free Format, (For
c - Geoid) Type 1" record
ccccccccccccccccccccccccccccccccccccccccccccccccccc
      logical outfil
      logical poseast
      integer*4 lout,iinput
      character*80 SCCSID
      character*80 card
      character*40 fcard
      real*8 xlat,xlon
      real*8 lat_hemi
      real*4 val
      integer*4 deglat,deglon
      integer*4 minlat,minlon
      real*4    seclat,seclon

      SCCSID="@(#)ff1out.f	1.3	2009/01/12 NGS"

      fcard = card(1:40)

ccccccccccccccccccccccccccccccccccccccccccccccccccc
c - Compute Degrees/Minutes/Seconds from Lat/Lon
c - (which is the default output for FF1)
c - Make sure to convert to Positive WEST if that
c - is what the user has chosen to work in.
ccccccccccccccccccccccccccccccccccccccccccccccccccc
      if(xlat.ne.-999 .and. xlon .ne. -999)then
        if(.not.poseast)xlon = 360.d0 - xlon

        if (xlat .lt. 0.0) then
          lat_hemi = -1.d0
          xlat = -1.0 * xlat  
        else
          lat_hemi =  1.d0
        endif 
        deglat = int(xlat + 1.d-12)
        deglon = int(xlon + 1.d-12)
        minlat = int((xlat-dble(deglat))*60.d0 + 1.d-9) 
        minlon = int((xlon-dble(deglon))*60.d0 + 1.d-9) 
        seclat = (((xlat-deglat)*60.d0)-minlat)*60.d0
        seclon = (((xlon-deglon)*60.d0)-minlon)*60.d0
        deglat = deglat * lat_hemi
      else
        deglat = 99 
        minlat = 99 
        seclat = 99.9999999
        deglon = 99 
        minlon = 99 
        seclon = 99.9999999
      endif
      
ccccccccccccccccccccccccccccccccccccccccccccccccccc
c - If we are outputting to an output file,
c - do so here      
ccccccccccccccccccccccccccccccccccccccccccccccccccc
      if(outfil)then
        write(lout,99)fcard,deglat,minlat,seclat,
     *                deglon,minlon,seclon,val
      endif
      if(iinput.eq.1)write(6,98)fcard,deglat,minlat,seclat,
     *               deglon,minlon,seclon,val
   98 format(/,' Your Result:',/,
     * 1x,40x,'   latitude    ',1x,
     * '   longitude   ',1x,'   N   ',/,
     * '  Station Name',26x,'ddd mm ss.sssss',1x,
     * 'ddd mm ss.sssss',1x,' meters',/,
     *       a40,i3,1x,i2,1x,f8.5,1x,
     *           i3,1x,i2,1x,f8.5,1x,f8.3,/)

   99 format(a40,i3,1x,i2,1x,f8.5,1x,
     *           i3,1x,i2,1x,f8.5,1x,f8.3)
      return
      end
c
